clang-tools 6.0.0

Namespaces | Functions
UseAfterMoveCheck.cpp File Reference
`#include "UseAfterMoveCheck.h"`
`#include "clang/Analysis/CFG.h"`
`#include "clang/Lex/Lexer.h"`
`#include "../utils/ExprSequence.h"`
Include dependency graph for UseAfterMoveCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::bugprone

## Functions
static StatementMatcher | clang::tidy::bugprone::inDecltypeOrTemplateArg ()
bool | clang::tidy::bugprone::isStandardSmartPointer (const ValueDecl *VD)
static void | clang::tidy::bugprone::emitDiagnostic (const Expr *MovingCall, const DeclRefExpr *MoveArg, const UseAfterMove &Use, ClangTidyCheck *Check, ASTContext *Context)

## Variable Documentation

## ◆ DeclRef

const DeclRefExpr* DeclRef

Definition at line 30 of file UseAfterMoveCheck.cpp.

Referenced by clang::tidy::google::build::ExplicitMakePairCheck::check(), clang::tidy::bugprone::BoolPointerImplicitConversionCheck::check(), clang::tidy::readability::IdentifierNamingCheck::check(), and clang::tidy::bugprone::isStandardSmartPointer().

## ◆ EvaluationOrderUndefined

bool EvaluationOrderUndefined

Definition at line 33 of file UseAfterMoveCheck.cpp.